<template>
  <div class="draft-list-item">
    <MemberHeader
      draft-list
      :member="member"
    />
    <div class="separator" />
    <ExistingTaskList
      class="draft-list-wrapper"
      draft-list
      :todos="todos"
    />
  </div>
</template>

<script>
import MemberHeader from './MemberHeader.vue';
import ExistingTaskList from './ExistingTaskList.vue';

export default {
  name: 'DraftListItem',
  props: {
    member: {
      type: Object,
      required: true,
    },
    todos: {
      type: Array,
      required: true,
    },

  },
  components: {
    MemberHeader,
    ExistingTaskList,
  },
};
</script>

<style lang="scss">
.draft-list-item {
  .separator{
    height: 1px;
    width: 100%;
    background-color: #efefef;
    margin: 16px 0;
  }
  .draft-list-wrapper {
    margin-bottom: 40px;
  }
}
</style>
